GRSOutComeWriter (The Data Transfer Agent Service 2.1.0-3.10.1 API)
Date: 2016-03-03

org.gcube.datatransfer.agent.impl.grs

## Class GRSOutComeWriter

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.grs.GRSOutComeWriter

-     public class GRSOutComeWriter
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isItForTrees`
    `gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord>` | `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GRSOutComeWriter(int capacity, boolean isItForTrees)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord>` | `getWriter()`
    `void` | `putField(String sourceID, String destID, int readTrees, int writtenTrees, String outcome, Exception... e)`
    `void` | `putField(String sourceUrl, String outURL, Long transferTime, Long transferredBytes, Long total_size, Exception... e)`
    `void` | `setWriter(gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isItForTrees

          public boolean isItForTrees

    - #### writer

          public gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> writer

  - ### Constructor Detail

    - #### GRSOutComeWriter

          public GRSOutComeWriter(int capacity,
                          boolean isItForTrees)
                           throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

      Throws:
        `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

  - ### Method Detail

    - #### putField

          public void putField(String sourceUrl,
                      String outURL,
                      Long transferTime,
                      Long transferredBytes,
                      Long total_size,
                      Exception... e)
                        throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

      Throws:
        `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

    - #### putField

          public void putField(String sourceID,
                      String destID,
                      int readTrees,
                      int writtenTrees,
                      String outcome,
                      Exception... e)
                        throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

      Throws:
        `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

    - #### getWriter

          public gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> getWriter()

    - #### setWriter

          public void setWriter(gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> writer)

    - #### close

          public void close()
                     throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

      Throws:
        `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Copyright © 2016. All Rights Reserved.